# Generated from deploy-cli-0.2.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name deploy-cli

Name: rubygem-%{gem_name}
Version: 0.2.9
Release: 1%{?dist}
Summary: Deploy from a spec
License: MIT
URL: https://github.com/ptdorf/deploy-cli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Deploy from a spec.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/deploy
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/app.rb
%{gem_instdir}/bin
%{gem_instdir}/deploy-completion.bash
%{gem_instdir}/keys
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.md
%{gem_instdir}/deploy-cli.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.9-1
- Initial package
